### Class

# Gtk Adjustment

#### Description [src]

    class Gtk.Adjustment : GObject.InitiallyUnowned
    {
      /* No available fields */
    }

A model for a numeric value.

The `GtkAdjustment` has an associated lower and upper bound. It also contains step and page increments, and a page size.

Adjustments are used within several GTK widgets, including `GtkSpinButton`, `GtkViewport`, `GtkScrollbar` and `GtkScale`.

The `GtkAdjustment` object does not update the value itself. Instead it is left up to the owner of the `GtkAdjustment` to control the value.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Constructors

###### gtk_adjustment_new

Creates a new `GtkAdjustment`.

#### Instance methods

###### gtk_adjustment_clamp_page

Updates the value of the adjustment to ensure that the given range is contained in the current page.

###### gtk_adjustment_configure

Sets all properties of the adjustment at once.

###### gtk_adjustment_get_lower

Retrieves the minimum value of the adjustment.

###### gtk_adjustment_get_minimum_increment

Gets the smaller of step increment and page increment.

###### gtk_adjustment_get_page_increment

Retrieves the page increment of the adjustment.

###### gtk_adjustment_get_page_size

Retrieves the page size of the adjustment.

###### gtk_adjustment_get_step_increment

Retrieves the step increment of the adjustment.

###### gtk_adjustment_get_upper

Retrieves the maximum value of the adjustment.

###### gtk_adjustment_get_value

Gets the current value of the adjustment.

###### gtk_adjustment_set_lower

Sets the minimum value of the adjustment.

###### gtk_adjustment_set_page_increment

Sets the page increment of the adjustment.

###### gtk_adjustment_set_page_size

Sets the page size of the adjustment.

###### gtk_adjustment_set_step_increment

Sets the step increment of the adjustment.

###### gtk_adjustment_set_upper

Sets the maximum value of the adjustment.

###### gtk_adjustment_set_value

Sets the `GtkAdjustment` value.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.Adjustment:lower

The minimum value of the adjustment.

###### Gtk.Adjustment:page-increment

The page increment of the adjustment.

###### Gtk.Adjustment:page-size

The page size of the adjustment.

###### Gtk.Adjustment:step-increment

The step increment of the adjustment.

###### Gtk.Adjustment:upper

The maximum value of the adjustment.

###### Gtk.Adjustment:value

The value of the adjustment.

#### Signals

###### Gtk.Adjustment::changed

Emitted when one or more of the `GtkAdjustment` properties have been changed.

###### Gtk.Adjustment::value-changed

Emitted when the value has been changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkAdjustmentClass {
      GInitiallyUnownedClass parent_class;
      void (* changed) (
        GtkAdjustment* adjustment
      );
      void (* value_changed) (
        GtkAdjustment* adjustment
      );
      void (* _gtk_reserved1) (
    void
      );
      void (* _gtk_reserved2) (
    void
      );
      void (* _gtk_reserved3) (
    void
      );
      void (* _gtk_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GInitiallyUnownedClass`

  No description available.

`changed: void (* changed) ( GtkAdjustment* adjustment )`

  No description available.

`value_changed: void (* value_changed) ( GtkAdjustment* adjustment )`

  No description available.

`_gtk_reserved1: void (* _gtk_reserved1) ( void )`

  No description available.

`_gtk_reserved2: void (* _gtk_reserved2) ( void )`

  No description available.

`_gtk_reserved3: void (* _gtk_reserved3) ( void )`

  No description available.

`_gtk_reserved4: void (* _gtk_reserved4) ( void )`

  No description available.

#### Virtual methods

###### Gtk.AdjustmentClass.changed

No description available.

###### Gtk.AdjustmentClass.value_changed

No description available.